## ebsmount 0.92

=== debian/changelog ===
ebsmount (0.92-0ubuntu1) maverick; urgency=low

  * Initial release.
  * functionality is disabled by default.

 -- Scott Moser <smoser@ubuntu.com>  Wed, 16 Jun 2010 09:38:30 -0400
