=== debian/control ===
Source: ebsmount
Section: misc
Priority: optional
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
Build-Depends: debhelper (>= 5)
Uploaders: Scott Moser <smoser@ubuntu.com>
XSBC-Original-Maintainer: Alon Swartz <alon@turnkeylinux.org>
Standards-Version: 3.8.4

Package: ebsmount
Architecture: all
Depends: python (>= 2.4), udev, ${misc:Depends}
Description: Automatically mount EC2/Eucalyptus EBS devices
 Automatically mounts EBS (Elastic Block Storage) devices when they are
 attached, supports formatted devices as well as partitions, uniquely
 identifiable mount points, and hooking scripts execution upon mount.
