## ebsmount 0.94

=== debian/changelog ===
ebsmount (0.94-0ubuntu1) quantal; urgency=low

  * New upstream release.
  * Change build structure to satisfy Lintian.
  * Bump Standards-Version to 3.9.3.

 -- Logan Rosen <logatronico@gmail.com>  Sun, 24 Jun 2012 23:30:38 -0400
