=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 5)
 Uploaders: Scott Moser <smoser@ubuntu.com>
 XSBC-Original-Maintainer: Alon Swartz <alon@turnkeylinux.org>
-Standards-Version: 3.8.4
+Standards-Version: 3.9.3
 
 Package: ebsmount
 Architecture: all
