=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,10 @@
 	dh_clean
 	rm -f 85-ebsmount.rules
 
-build:
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
+build-stamp:
 	mkdir -p $(prefix)
 
 install:
