=== debian/watch ===
version=3
http://github.com/turnkeylinux/ebsmount/downloads /downloads/turnkeylinux/ebsmount/ebsmount-([\d.]+).tar.gz
